Name: xar
Version: 1.5.2
Release: alt2
License: BSD
Summary: The XAR project aims to provide an easily extensible archive format
Group: Archiving/Compression
Url: http://code.google.com/p/%name/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://%name.googlecode.com/files/%name-%version.tar.gz

# Automatically added by buildreq on Fri Mar 06 2009
BuildRequires: bzlib-devel libe2fs-devel libssl-devel libxml2-devel
Requires: lib%name = %version-%release

%description
The XAR project aims to provide an easily extensible archive format. Important
design decisions include an easily extensible XML table of contents for random
access to archived files, storing the toc at the beginning of the archive to
allow for efficient handling of streamed archives, the ability to handle files
of arbitrarily large sizes, the ability to choose independent encodings for
individual files in the archive, the ability to store checksums for individual
files in both compressed and uncompressed form, and the ability to query the
table of content's rich meta-data.

%package -n lib%name
Summary: Libraries required for xar
Group: System/Libraries

%description -n lib%name
Libraries required for xar.

%package -n lib%name-devel
Summary: Development files for %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
%summary

%prep
%setup

%build
%configure --disable-static
%make_build

%install

%makeinstall_std
mv %buildroot%_includedir/xar/xar.h %buildroot%_includedir
rmdir %buildroot%_includedir/xar

%files
%doc LICENSE TODO
%_bindir/%name
%_man1dir/xar.1*

%files -n lib%name
%_libdir/lib%name.so.*

%files -n lib%name-devel
%_includedir/%name.h
%_libdir/lib%name.so

%changelog
* Fri Mar 13 2009 Eugene Ostapets <eostapets@altlinux.ru> 1.5.2-alt2
- Move headers from %_includedir/%name to %_includedir

* Fri Mar 06 2009 Eugene Ostapets <eostapets@altlinux.ru> 1.5.2-alt1
- First build for ALTLinux

